UNIT Cal1;

INTERFACE

USES
  Windows, Messages, SysUtils, Classes, Controls, Forms, Dialogs,
  StdCtrls, Spin, Grids, YCal, checklst, Buttons, ExtCtrls,
  Menus, RXShell, RxMenus;

TYPE
  TCalForm = CLASS ( TForm )
    YearCal1 : TYearCal;
    Label1 : TLabel;
    Bevel1 : TBevel;
    RxTrayIcon1 : TRxTrayIcon;
    Pop: TRxPopupMenu;
    ShowHideCalendar1: TMenuItem;
    N2: TMenuItem;
    ShowOptions2: TMenuItem;
    N3: TMenuItem;
    KillCalendar1: TMenuItem;
    N1: TMenuItem;
    About1: TMenuItem;
    PROCEDURE YearCal1SelectCell ( Sender : TObject; Col, Row : Integer;
      VAR CanSelect : Boolean );
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ShowHideCalendar1Click(Sender: TObject);
    procedure ShowOptions2Click(Sender: TObject);
    procedure KillCalendar1Click(Sender: TObject);
    procedure RxTrayIcon1Click(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure About1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  PRIVATE
    { Private declarations }
  PUBLIC
    { Public declarations }
  END;

VAR
  CalForm           : TCalForm;

IMPLEMENTATION

uses Cal2;

{$R *.DFM}

PROCEDURE TCalForm.YearCal1SelectCell ( Sender : TObject; Col, Row : Integer; VAR
  CanSelect : Boolean );
BEGIN
  Label1.Caption := FormatDateTime ( 'dddd, d mmmm yyyy', yearcal1.celldate );
END;

procedure TCalForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:=caFree;
end;

procedure TCalForm.ShowHideCalendar1Click(Sender: TObject);
begin
   CalForm.Visible := NOT CalForm.Showing;
end;

procedure TCalForm.ShowOptions2Click(Sender: TObject);
begin
OptForm.Show;
end;

procedure TCalForm.KillCalendar1Click(Sender: TObject);
begin
Close;
end;

procedure TCalForm.RxTrayIcon1Click(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
CalForm.Visible:=not CalForm.Showing;
end;

procedure TCalForm.About1Click(Sender: TObject);
begin
ShowMessage('Calendar is a demonstration program for'+#13#10+
'YearCal v2.0, a Delphi Component designed by'+#13#10+
'Brian Shepherd.  bshepherd@mail.com');
end;

procedure TCalForm.FormActivate(Sender: TObject);
begin
Label1.Caption := FormatDateTime ( 'dddd, d mmmm yyyy', yearcal1.celldate );
OptForm.CheckINI;
end;

END.

