unit Cal2;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, checklst, INIFiles,YCal,Spin, Cal1,Buttons;

type
  TOptForm = class(TForm)
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpinEdit1: TSpinEdit;
    CheckListBox1: TCheckListBox;
    Bevel1: TBevel;
    Bevel2: TBevel;
    SpeedButton6: TSpeedButton;
    CD: TColorDialog;
    FD: TFontDialog;
    SpeedButton7: TSpeedButton;
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure CheckListBox1ClickCheck(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure CheckINI;
  end;

var
  OptForm: TOptForm;

implementation
  
{$R *.DFM}

procedure TOptForm.SpeedButton6Click(Sender: TObject);
begin
OptForm.Hide;
end;

procedure TOptForm.SpinEdit1Change(Sender: TObject);
begin
 CalForm.YearCal1.Year := SpinEdit1.Value;
end;

procedure TOptForm.SpeedButton3Click(Sender: TObject);
begin
  CD.Color :=  CalForm.YearCal1.Color;
  IF CD.Execute THEN  CalForm.YearCal1.Color := CD.Color;
end;

procedure TOptForm.SpeedButton1Click(Sender: TObject);
begin
  CD.Color :=  CalForm.YearCal1.AltColor;
  IF CD.Execute THEN  CalForm.YearCal1.AltColor := CD.Color;
end;

procedure TOptForm.SpeedButton2Click(Sender: TObject);
begin
  CD.Color :=  CalForm.YearCal1.FixedColor;
  IF CD.Execute THEN  CalForm.YearCal1.FixedColor := CD.Color;
end;

procedure TOptForm.SpeedButton4Click(Sender: TObject);
begin
  CD.Color :=  CalForm.YearCal1.nodaycolor;
  IF CD.Execute THEN  CalForm.YearCal1.NodayColor := CD.Color;
end;

procedure TOptForm.SpeedButton5Click(Sender: TObject);
begin
  CD.Color:=CalForm.YearCal1.Font.Color;
    IF CD.Execute THEN  CalForm.YearCal1.Font.Color := CD.Color
end;

procedure TOptForm.CheckListBox1ClickCheck(Sender: TObject);
begin
with CalForm do
begin
  CalForm.YearCal1.nodays := [ ];
  IF CheckListBox1.Checked [ 0 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Sunday ];
  IF CheckListBox1.Checked [ 1 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Monday ];
  IF CheckListBox1.Checked [ 2 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Tuesday ];
  IF CheckListBox1.Checked [ 3 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Wednesday ];
  IF CheckListBox1.Checked [ 4 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Thursday ];
  IF CheckListBox1.Checked [ 5 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Friday ];
  IF CheckListBox1.Checked [ 6 ] THEN
     CalForm.YearCal1.NoDays := CalForm.YearCal1.NoDays + [ Saturday ];
end;
end;

procedure TOptForm.SpeedButton7Click(Sender: TObject);
var
NDays:string;
i:integer;
begin;
NDays:='';
with TINIFile.Create(ChangeFileExt(ParamStr(0),'.ini')) do
begin
WriteString('COLORS','MainColor',IntToStr(CalForm.YearCal1.Color));
WriteString('COLORS','AltColor',IntToStr(CalForm.YearCal1.AltColor));
WriteString('COLORS','FixedColor',IntToStr(CalForm.YearCal1.FixedColor));
WriteString('COLORS','NoDayColor',IntToStr(CalForm.YearCal1.NoDayColor));
WriteString('COLORS','FontColor',IntToStr(CalForm.YearCal1.Font.Color));
Writeinteger('WINDOW','Left',CalForm.Left);
WriteInteger('WINDOW','Top',CalForm.Top);
for i:= 0 to 6 do
if CheckListBox1.Checked[i] then
NDays:=NDays+IntToStr(i)+'|';

WriteString('NODAYS','NoDays', NDays);
Free;
end;
end;

procedure TOptForm.CheckINI;
var
NDays:string;
i:integer;
begin;
NDays:='';
with TINIFile.Create(ChangeFileExt(ParamStr(0),'.ini')) do
begin
CalForm.YearCal1.Color:=StrToInt(ReadString('COLORS','MainColor','-2147483633'));
CalForm.YearCal1.AltColor:= StrToInt(ReadString('COLORS','AltColor','-2147483624'));
CalForm.YearCal1.FixedColor:= StrToInt(ReadString('COLORS','FixedColor','-2147483626'));
CalForm.YearCal1.NoDayColor:= StrToInt(ReadString('COLORS','NoDayColor','8421376'));
CalForm.YearCal1.Font.Color:= StrToInt(ReadString('COLORS','FontColor','8388608'));
CalForm.Left:=ReadInteger('WINDOW','Left',0);
CalForm.Top:=ReadInteger('WINDOW','Top',0);
NDays:= ReadString('NODAYS','NoDays', '');
for i := 0 to 6 do
if Pos( IntToStr(i),NDays) > 0 then ChecklistBox1.Checked[i]:=True;
Free;
end;
CheckListBox1ClickCheck(Self);
end;

end.
